// Input_7432.h: interface for the CInput_7432 class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "InputBase.h"

class CAdlinkCommon;

class CInput_7432 : public CInputBase
{
public:
    CInput_7432(const CInputSetting& Setting);
    virtual ~CInput_7432();

    int GetState() override;

private:
    std::unique_ptr<CAdlinkCommon> m_pCommon;
};
